export const defaultFields = [
  {
    value: '事件表',
    list: [
      {
        Name: 'ID',
        FieldType: 7,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: false,
        ReadOnly: true,
      },
      {
        Name: '事件编号',
        FieldType: 0,
        FieldLength: 50,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '事件状态',
        FieldType: 0,
        FieldLength: 50,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '事件名称',
        FieldType: 0,
        FieldLength: 50,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '上报站点',
        FieldType: 0,
        FieldLength: 500,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '处理站点',
        FieldType: 0,
        FieldLength: 500,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '上报人名称',
        FieldType: 0,
        FieldLength: 20,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '上报人部门',
        FieldType: 0,
        FieldLength: 20,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '上报时间',
        FieldType: 9,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '现场图片',
        FieldType: 0,
        FieldLength: 500,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '现场录音',
        FieldType: 0,
        FieldLength: 500,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '坐标位置',
        FieldType: 0,
        FieldLength: 100,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '更新时间',
        FieldType: 9,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '更新状态',
        FieldType: 0,
        FieldLength: 200,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '是否置顶',
        FieldType: 5,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '是否删除',
        FieldType: 5,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
    ],
  },
  {
    value: '工单表',
    list: [
      {
        Name: 'ID',
        FieldType: 7,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: false,
        ReadOnly: true,
      },
      {
        Name: '工单编号',
        FieldType: 0,
        FieldLength: 50,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
    ],
  },
  {
    value: '台账表',
    list: [
      {
        Name: 'ID',
        FieldType: 7,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: false,
        ReadOnly: true,
      },
      {
        Name: '所属站点',
        FieldType: 0,
        FieldLength: 200,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '录入时间',
        FieldType: 9,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '是否删除',
        FieldType: 5,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
    ],
  },
  {
    value: '设备表',
    list: [
      {
        Name: 'ID',
        FieldType: 7,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: false,
        ReadOnly: true,
      },
      {
        Name: '设备名称',
        FieldType: 0,
        FieldLength: 50,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '所属站点',
        FieldType: 0,
        FieldLength: 100,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '编码',
        FieldType: 0,
        FieldLength: 50,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: 'GIS编号',
        FieldType: 0,
        FieldLength: 100,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '父设备编码',
        FieldType: 0,
        FieldLength: 50,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '坐标位置',
        FieldType: 0,
        FieldLength: 200,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '风貌图',
        FieldType: 0,
        FieldLength: 500,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '视频缩略图',
        FieldType: 0,
        FieldLength: 200,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '第三方编码',
        FieldType: 0,
        FieldLength: 200,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '录入时间',
        FieldType: 9,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '是否删除',
        FieldType: 5,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
    ],
  },
  {
    value: '反馈表',
    list: [
      {
        Name: 'ID',
        FieldType: 7,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: false,
        ReadOnly: true,
      },
      {
        Name: '编码',
        FieldType: 0,
        FieldLength: 50,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '设备编码',
        FieldType: 0,
        FieldLength: 50,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '录入时间',
        FieldType: 9,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
      {
        Name: '是否删除',
        FieldType: 5,
        FieldLength: 0,
        DecimalPlace: 0,
        IsNullable: true,
        ReadOnly: true,
      },
    ],
  },
];
