import React, { useState, useEffect } from 'react';
import { Tabs } from 'antd';
import PageContainer from '@/components/BasePageContainer';
import TemplateManage from './templateManage/TemplateManage';
import ProjectManage from './projectManage/ProjectManage';

const { TabPane } = Tabs;

const HostManager = () => {
  const callback = () => {};

  return (
    <PageContainer>
      <Tabs onChange={callback} type="card">
        <TabPane tab="推送方案配置" key="2">
          <ProjectManage />
        </TabPane>
        <TabPane tab="推送模板配置" key="1">
          <TemplateManage />
        </TabPane>
      </Tabs>
    </PageContainer>
  );
};
export default HostManager;
