import React, { useState, useEffect } from 'react';
import { Tabs } from 'antd';
import PageContainer from '@/components/BasePageContainer';
import DrawBoardManage from './drawBoardManage/DrawBoardManage';
import ModelFileManage from './modelFileManage/ModelFileManage';
const { TabPane } = Tabs;

const BaseFrameContainer = () => {
  const callback = () => {};

  return (
    <PageContainer>
      <Tabs onChange={callback} type="card">
        <TabPane tab="模型文件" key="1">
          <DrawBoardManage />
        </TabPane>
        <TabPane tab="画板管理" key="2">
          <ModelFileManage />
        </TabPane>
      </Tabs>
    </PageContainer>
  );
};
export default BaseFrameContainer;
